/*
   Format.dll
   Enhancing SHFormatDrive undocumented interface.

   int WINAPI SHFormatDrive( HWND hWnd, int iDrive, int iCapacity, 
        int iFormatType ); 
*/

#ifdef _MSC_VER
#   pragma warning(disable:4201 4214 4514 4115)
#endif
#include <windows.h>
#ifdef _MSC_VER
#   pragma warning(default:4201 4214 4115)
#endif

// The following constants are a uniform set of values 
// for both Win95 and WinNT 4.0. Don't pass them
// directly to SHFormatDrive.

// Capacity
#define FORMAT_CAP_DEFAULT  0x00
#define FORMAT_CAP_360      0x01
#define FORMAT_CAP_720      0x02

// Type
#define QUICK_FORMAT        0x00
#define FULL_FORMAT         0x01
#define SYSTEM_FORMAT       0x02

// Custom errors
#define ERR_LIBNOTFOUND     0x98
#define ERR_FUNCNOTFOUND    0x99
#define ERR_NONE            0
#define ERR_WRONGPARAMS     -1
#define ERR_CANCELED        -2
#define ERR_IMPOSSIBLE      -3
#define ERR_NOTFLOPPY       -4


INT APIENTRY FormatDrive( 
    HWND hWnd,                   // parent window for the dialog
    INT iDriveID,                // 0=A, 1=B, 2=C, and so on
    INT iCapacity,               // see CAPACITY
    INT iType                    // see TYPE
);
